set_job_listed
curl --request POST \
--url https://rest.hotfix.jobs/v1/employer/jobs/{job_id}/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"listed": true
}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({listed: true})
};
fetch('https://rest.hotfix.jobs/v1/employer/jobs/{job_id}/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/jobs/{job_id}/list"
payload = { "listed": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "9a1b2c3d-4e5f-6789-abcd-ef0123456789",
"title": "Staff engineer",
"category": "engineering",
"locations": [
"New York"
],
"work_type": "hybrid",
"employment_type": "FULL_TIME",
"on_board": true,
"listed_on_hotfix": true,
"posted_at": "2026-09-21T15:04:05+00:00",
"applicants_count": 3
}Jobs
set_job_listed
List or unlist one job on Hotfix search. Does not close the job. Listing requires a confirmed extract. MCP tool: set_job_listed.
POST
/
v1
/
employer
/
jobs
/
{job_id}
/
list
set_job_listed
curl --request POST \
--url https://rest.hotfix.jobs/v1/employer/jobs/{job_id}/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"listed": true
}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({listed: true})
};
fetch('https://rest.hotfix.jobs/v1/employer/jobs/{job_id}/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/jobs/{job_id}/list"
payload = { "listed": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "9a1b2c3d-4e5f-6789-abcd-ef0123456789",
"title": "Staff engineer",
"category": "engineering",
"locations": [
"New York"
],
"work_type": "hybrid",
"employment_type": "FULL_TIME",
"on_board": true,
"listed_on_hotfix": true,
"posted_at": "2026-09-21T15:04:05+00:00",
"applicants_count": 3
}